Please merge classpath 2:0.96.1-1 from Debian unstable

Bug #164854 reported by Siegfried Gevatter on 2007-11-24
2
Affects Status Importance Assigned to Milestone
classpath (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: classpath

classpath (2:0.95-3ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      - Add Xb-Npp-* tags according to "firefox-distro-addon-support"
        spec (LP: #133360)
      - Modify Maintainer value to match the DebianMaintainerField
        specification.
   - patches/35_configure.dpatch:
     - Add /usr/include/xulrunner to CLASSPATH_INCLUDES in configure
     - Add MOZILLA_CFLAGS to configure
  * debian/control:
    - Move Homepage to it's own field in the source stanza

 -- Siegfried-Angel Gevatter Pujals (RainCT) <email address hidden> Sat, 24 Nov 2007 12:29:36 +0100

classpath (2:0.96.1-1) unstable; urgency=low

   * New upstream release.
     - Removed obsoleted debian/patches/20_gcc-4.2.dpatch
   * Put jikes-classpath into section devel. Closes: #454065.
   * Added Homepage, Vcs-Svn and Vcs-Browser fields.
   * Updated Standards-Version to 3.7.3.

 -- Michael Koch <email address hidden> Fri, 28 Dec 2007 14:28:11 +0100

classpath (2:0.95-3) unstable; urgency=low

  * Build-Depend on ecj instead of ecj-bootstrap. Closes: #441513.
  * Make classpath build with GCC 4.2. Closes: #431889.

 -- Michael Koch <email address hidden> Fri, 14 Sep 2007 17:51:18 +0200

classpath (2:0.95-2) unstable; urgency=low

  * Re-enable accidently disabled javadocs. Closes: #435324.
  * Enable jack on hurd and kfreebsd. Closes: #434430.
  * Added missing Homepage: tags to long descriptions.

 -- Michael Koch <email address hidden> Thu, 02 Aug 2007 11:29:41 +0200

classpath (2:0.95-1) unstable; urgency=low

  * New upstream release. Closes: #426141.
    - fixes NPE in BasicToolBarUI.setBorderToNonRollover.
      Closes: #387425.
    - fixes FTBFS in gcjwebplugin.cc. Closes: #427183.
    - fixes includes for XPCOM headers. Closes: #414106.
    - fixes menubar. Closes: #413295.
  * debian/control: Use ${source:Version} instead of ${Source-Version}.
  * debian/rules: Make "${MAKE} distclean" more safe.

 -- Michael Koch <email address hidden> Thu, 28 Jun 2007 07:05:44 +0200

classpath (2:0.93-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release.
  * Updated config.guess and config.sub.

 -- Michael Koch <email address hidden> Sat, 17 Feb 2007 08:56:00 +0100

Related branches

Changed in classpath:
importance: Undecided → Wishlist
status: New → Triaged
Siegfried Gevatter (rainct) wrote :

Damn, I accidentally deleted the folder with the debdiff... :/

Well, Michael Koch, I'm still awaiting an answer to what I asked you on IRC :)

description: updated
Changed in classpath:
assignee: nobody → rainct
status: Triaged → In Progress
Siegfried Gevatter (rainct) wrote :

Uh... I don't know what to do with the ./configure file...

If someone wants to take it, go on.

Changed in classpath:
assignee: rainct → nobody
status: In Progress → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package classpath - 2:0.96.1-1ubuntu1

---------------
classpath (2:0.96.1-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable (LP: #164854), remaining changes:
    - debian/control:
      + Add XB-Npp-xxx tags
      + Update Maintainer field
  * debian/control:
    + Recommend firefox instead of mozilla-firefox.

classpath (2:0.96.1-1) unstable; urgency=low

  * New upstream release.
    - Removed obsoleted debian/patches/20_gcc-4.2.dpatch
  * Put jikes-classpath into section devel. Closes: #454065.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.

classpath (2:0.95-3) unstable; urgency=low

  * Build-Depend on ecj instead of ecj-bootstrap. Closes: #441513.
  * Make classpath build with GCC 4.2. Closes: #431889.

classpath (2:0.95-2) unstable; urgency=low

  * Re-enable accidently disabled javadocs. Closes: #435324.
  * Enable jack on hurd and kfreebsd. Closes: #434430.
  * Added missing Homepage: tags to long descriptions.

classpath (2:0.95-1) unstable; urgency=low

  * New upstream release. Closes: #426141.
    - fixes NPE in BasicToolBarUI.setBorderToNonRollover.
      Closes: #387425.
    - fixes FTBFS in gcjwebplugin.cc. Closes: #427183.
    - fixes includes for XPCOM headers. Closes: #414106.
    - fixes menubar. Closes: #413295.
  * debian/control: Use ${source:Version} instead of ${Source-Version}.
  * debian/rules: Make "${MAKE} distclean" more safe.

classpath (2:0.93-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release.
  * Updated config.guess and config.sub.

 -- Michael Bienia <email address hidden> Sat, 12 Jan 2008 18:55:51 +0100

Changed in classpath:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers